class_name: Model
config:
  input_layers:
  - [data/genome_data_dir, 0, 0]
  - [data/H3K4me1_data_dir, 0, 0]
  - [data/H3K9me3_data_dir, 0, 0]
  - [data/H3K27ac_data_dir, 0, 0]
  - [data/H3K27me3_data_dir, 0, 0]
  - [data/dnase_data_dir, 0, 0]
  layers:
  - class_name: InputLayer
    config:
      batch_input_shape: !!python/tuple [null, 1000]
      input_dtype: float32
      name: data/dnase_data_dir
      sparse: false
    inbound_nodes: []
    name: data/dnase_data_dir
  - class_name: InputLayer
    config:
      batch_input_shape: !!python/tuple [null, 1000]
      input_dtype: float32
      name: data/H3K4me1_data_dir
      sparse: false
    inbound_nodes: []
    name: data/H3K4me1_data_dir
  - class_name: InputLayer
    config:
      batch_input_shape: !!python/tuple [null, 1000]
      input_dtype: float32
      name: data/H3K9me3_data_dir
      sparse: false
    inbound_nodes: []
    name: data/H3K9me3_data_dir
  - class_name: InputLayer
    config:
      batch_input_shape: !!python/tuple [null, 1000]
      input_dtype: float32
      name: data/H3K27ac_data_dir
      sparse: false
    inbound_nodes: []
    name: data/H3K27ac_data_dir
  - class_name: InputLayer
    config:
      batch_input_shape: !!python/tuple [null, 1000]
      input_dtype: float32
      name: data/H3K27me3_data_dir
      sparse: false
    inbound_nodes: []
    name: data/H3K27me3_data_dir
  - class_name: InputLayer
    config:
      batch_input_shape: !!python/tuple [null, 1000, 4]
      input_dtype: float32
      name: data/genome_data_dir
      sparse: false
    inbound_nodes: []
    name: data/genome_data_dir
  - class_name: Reshape
    config:
      name: reshape_5
      target_shape: !!python/tuple [1000, 1]
      trainable: true
    inbound_nodes:
    - - [data/dnase_data_dir, 0, 0]
    name: reshape_5
  - class_name: Reshape
    config:
      name: reshape_1
      target_shape: !!python/tuple [1000, 1]
      trainable: true
    inbound_nodes:
    - - [data/H3K4me1_data_dir, 0, 0]
    name: reshape_1
  - class_name: Reshape
    config:
      name: reshape_2
      target_shape: !!python/tuple [1000, 1]
      trainable: true
    inbound_nodes:
    - - [data/H3K9me3_data_dir, 0, 0]
    name: reshape_2
  - class_name: Reshape
    config:
      name: reshape_3
      target_shape: !!python/tuple [1000, 1]
      trainable: true
    inbound_nodes:
    - - [data/H3K27ac_data_dir, 0, 0]
    name: reshape_3
  - class_name: Reshape
    config:
      name: reshape_4
      target_shape: !!python/tuple [1000, 1]
      trainable: true
    inbound_nodes:
    - - [data/H3K27me3_data_dir, 0, 0]
    name: reshape_4
  - class_name: Merge
    config:
      arguments: {}
      concat_axis: 2
      dot_axes: -1
      mode: concat
      mode_type: raw
      name: merge_1
      output_mask: null
      output_mask_type: raw
      output_shape: null
      output_shape_type: raw
    inbound_nodes:
    - - [data/genome_data_dir, 0, 0]
      - [reshape_5, 0, 0]
      - [reshape_1, 0, 0]
      - [reshape_2, 0, 0]
      - [reshape_3, 0, 0]
      - [reshape_4, 0, 0]
    name: merge_1
  - class_name: Convolution1D
    config: {W_constraint: null, W_regularizer: null, activation: linear, activity_regularizer: null,
      b_constraint: null, b_regularizer: null, bias: true, border_mode: valid, filter_length: 25,
      init: he_normal, input_dim: null, input_length: null, name: convolution1d_1,
      nb_filter: 100, subsample_length: 1, trainable: true}
    inbound_nodes:
    - - [merge_1, 0, 0]
    name: convolution1d_1
  - class_name: Activation
    config: {activation: relu, name: activation_1, trainable: true}
    inbound_nodes:
    - - [convolution1d_1, 0, 0]
    name: activation_1
  - class_name: Convolution1D
    config: {W_constraint: null, W_regularizer: null, activation: linear, activity_regularizer: null,
      b_constraint: null, b_regularizer: null, bias: true, border_mode: valid, filter_length: 25,
      init: he_normal, input_dim: null, input_length: null, name: convolution1d_2,
      nb_filter: 100, subsample_length: 1, trainable: true}
    inbound_nodes:
    - - [activation_1, 0, 0]
    name: convolution1d_2
  - class_name: Activation
    config: {activation: relu, name: activation_2, trainable: true}
    inbound_nodes:
    - - [convolution1d_2, 0, 0]
    name: activation_2
  - class_name: Convolution1D
    config: {W_constraint: null, W_regularizer: null, activation: linear, activity_regularizer: null,
      b_constraint: null, b_regularizer: null, bias: true, border_mode: valid, filter_length: 25,
      init: he_normal, input_dim: null, input_length: null, name: convolution1d_3,
      nb_filter: 50, subsample_length: 1, trainable: true}
    inbound_nodes:
    - - [activation_2, 0, 0]
    name: convolution1d_3
  - class_name: Activation
    config: {activation: relu, name: activation_3, trainable: true}
    inbound_nodes:
    - - [convolution1d_3, 0, 0]
    name: activation_3
  - class_name: Convolution1D
    config: {W_constraint: null, W_regularizer: null, activation: linear, activity_regularizer: null,
      b_constraint: null, b_regularizer: null, bias: true, border_mode: valid, filter_length: 25,
      init: he_normal, input_dim: null, input_length: null, name: convolution1d_4,
      nb_filter: 50, subsample_length: 1, trainable: true}
    inbound_nodes:
    - - [activation_3, 0, 0]
    name: convolution1d_4
  - class_name: Activation
    config: {activation: relu, name: activation_4, trainable: true}
    inbound_nodes:
    - - [convolution1d_4, 0, 0]
    name: activation_4
  - class_name: AveragePooling1D
    config: {border_mode: valid, name: averagepooling1d_1, pool_length: 25, stride: 25,
      trainable: true}
    inbound_nodes:
    - - [activation_4, 0, 0]
    name: averagepooling1d_1
  - class_name: Flatten
    config: {name: flatten_1, trainable: true}
    inbound_nodes:
    - - [averagepooling1d_1, 0, 0]
    name: flatten_1
  - class_name: Dense
    config:
      W_constraint: null
      W_regularizer: null
      activation: linear
      activity_regularizer: null
      b_constraint: null
      b_regularizer: null
      bias: true
      init: glorot_uniform
      input_dim: !!python/object/apply:numpy.core.multiarray.scalar
      - !!python/object/apply:numpy.dtype
        args: [i8, 0, 1]
        state: !!python/tuple [3, <, null, null, null, -1, -1, 0]
      - "\b\a\0\0\0\0\0\0"
      name: dense_1
      output_dim: 100
      trainable: true
    inbound_nodes:
    - - [flatten_1, 0, 0]
    name: dense_1
  - class_name: Activation
    config: {activation: relu, name: activation_5, trainable: true}
    inbound_nodes:
    - - [dense_1, 0, 0]
    name: activation_5
  - class_name: Dense
    config: {W_constraint: null, W_regularizer: null, activation: linear, activity_regularizer: null,
      b_constraint: null, b_regularizer: null, bias: true, init: glorot_uniform, input_dim: 100,
      name: dense_2, output_dim: 1, trainable: true}
    inbound_nodes:
    - - [activation_5, 0, 0]
    name: dense_2
  - class_name: Activation
    config: {activation: sigmoid, name: activation_6, trainable: true}
    inbound_nodes:
    - - [dense_2, 0, 0]
    name: activation_6
  name: model_1
  output_layers:
  - [activation_6, 0, 0]
keras_version: 1.2.2
